$(document).ready( function() {
	var zone = "06:00";
	
	$('#calendar').fullCalendar({
      header: {
         left: 'prev,next today',
         center:  'title',
         right:   'month,agendaWeek,agendaDay'
      },
      
      loading: function(isLoading, view) {
         if(isLoading) {
            $('#loading').html('<img src="loading_transparent.gif">');
         } else {
            $('#loading').html('');
         }
      },
      
      eventSources: [
         {
            url:'http://127.0.0.1:5000/hours',
            data: function() {
               return {
                  /*campus:'TrinityRiv',*/
                  format:'fullCalendar'
               };
            }
         }
      ],
      
      timeFormat: 'h:mm a',
      
      editable: false,
      
      allDayDefault: false,
      
      displayEventEnd:true
   });
	
});