$(document).ready( function() {
	/* Get hours for the current date and default library */
	
	$.get('http://127.0.0.1:5000/hours',{format:'today'})
	 .done(function(data){
	 	$('#todays_hours').html(data);
	 });
	
	
	
	/* Get a full month, formatted as date,day,hours for the Main library*/
	/*
	$.get('http://127.0.0.1:5000/hours',{start_date:'2018-06-05',end_date:'2018-06-14',format:'html',libraryCode:'Northeast'})
	 .done(function(data){
	 	$('#todays_hours').html(data);
	 });
	 */
	
	
	
	/* Get current month, formatted as date,day,hours, for the Law library */
	/*
	var first_day_of_month = getFirstDayOfCurrentMonth();
	var last_day_of_month  = getLastDayOfCurrentMonth();
	$.get('http://127.0.0.1:5000/hours',{start_date:first_day_of_month,end_date:last_day_of_month,format:'multiple',libraryCode:'Law'})
	 .done(function(data){
	 	$('#todays_hours').html(data);
	 });
	*/
	
	
	
	/* Get a full month in JSON for the default library */
	/*
	$.getJSON('http://127.0.0.1:5000/hours',{start_date:'2018-06-01',end_date:'2018-06-30',format:'fullCalendar'})
	 .done(function(data){
	 	console.log(data);
	 	$.each(data, function(i,items){
	 		$.each(items, function(j,item) {
	 			console.log('date: ' + item.date);
	 			console.log('day number: ' + item.day_of_week.value);
	 			console.log('day name: ' + item.day_of_week.desc);
	 			if(item.hour.length>0) {
	 				console.log('opens: ' + item.hour[0].to);
	 				console.log('closes: ' + item.hour[0].from);
	 				$('#todays_hours').html("Open from " + item.hour[0].to + ' to ' + item.hour[0].from)
	 			} else {
	 				console.log('closed');
	 			}
	 		});
	 	});
	 });
	*/	
});


/* Miscellaneous Date Functions */
function getToday() {
	var d = new Date();
	var month = d.getMonth()+1;
	var day = d.getDate();
	return d.getFullYear()+'-'+(month<10?'0':'')+month+'-'+(day<10?'0':'')+day;
}

function getFirstDayOfCurrentMonth() {
	var d = new Date();
	var month = d.getMonth()+1;
	return d.getFullYear()+'-'+(month<10?'0':'')+month+'-01'
}

function getLastDayOfCurrentMonth() {
	var d = new Date();
	var l = new Date(d.getFullYear(), d.getMonth()+1, 0);
	var month = l.getMonth()+1;
	var day = l.getDate();
	return l.getFullYear()+'-'+(month<10?'0':'')+month+'-'+(day<10?'0':'')+day;
}